import type { I18n } from '@payloadcms/translations';
import type { AdminViewProps, EditViewProps, SanitizedCollectionConfig, SanitizedConfig } from 'payload/types';
import React from 'react';
import type { CollectionComponentMap } from './types.js';
export declare const mapCollections: ({ DefaultEditView, DefaultListView, collections, config, i18n, readOnly: readOnlyOverride, }: {
    DefaultEditView: React.FC<EditViewProps>;
    DefaultListView: React.FC<AdminViewProps>;
    collections: SanitizedCollectionConfig[];
    config: SanitizedConfig;
    i18n: I18n;
    readOnly?: boolean;
}) => {
    [key: SanitizedCollectionConfig['slug']]: CollectionComponentMap;
};
//# sourceMappingURL=collections.d.ts.map