import type { I18n } from '@payloadcms/translations';
import type { EditViewProps, SanitizedConfig, SanitizedGlobalConfig } from 'payload/types';
import React from 'react';
import type { GlobalComponentMap } from './types.js';
export declare const mapGlobals: ({ DefaultEditView, config, globals, i18n, readOnly: readOnlyOverride, }: {
    DefaultEditView: React.FC<EditViewProps>;
    config: SanitizedConfig;
    globals: SanitizedGlobalConfig[];
    i18n: I18n;
    readOnly?: boolean;
}) => {
    [key: SanitizedGlobalConfig['slug']]: GlobalComponentMap;
};
//# sourceMappingURL=globals.d.ts.map