'use client';
import React from 'react';
import { useFieldProps } from '../FieldPropsProvider/index.js';
import { WatchCondition } from './WatchCondition.js';
export const withCondition = (Field)=>{
    const CheckForCondition = (props)=>{
        const { name } = props;
        const { type, indexPath, path: pathFromContext } = useFieldProps();
        const path = pathFromContext || name;
        return /*#__PURE__*/ React.createElement(WatchCondition, {
            indexPath: indexPath,
            name: name,
            path: path,
            type: type
        }, /*#__PURE__*/ React.createElement(Field, props));
    };
    return CheckForCondition;
};

//# sourceMappingURL=index.js.map